QT       += core-private gui-private

DEFINES += QWK_CORE_STATIC QWK_WIDGETS_STATIC
INCLUDEPATH += $$PWD
INCLUDEPATH += $$PWD/core

HEADERS += \
    $$PWD/core/contexts/abstractwindowcontext_p.h \
    $$PWD/core/contexts/cocoawindowcontext_p.h \
    $$PWD/core/contexts/qtwindowcontext_p.h \
    $$PWD/core/contexts/win32windowcontext_p.h \
    $$PWD/core/kernel/nativeeventfilter_p.h \
    $$PWD/core/kernel/sharedeventfilter_p.h \
    $$PWD/core/kernel/winidchangeeventfilter_p.h \
    # $$PWD/core/qwindowkit_linux.h \
    $$PWD/core/qwindowkit_windows.h \
    $$PWD/core/qwkglobal.h \
    $$PWD/core/qwkglobal_p.h \
    $$PWD/core/shared/qwkwindowsextra_p.h \
    $$PWD/core/shared/systemwindow_p.h \
    $$PWD/core/shared/windows10borderhandler_p.h \
    $$PWD/core/style/styleagent.h \
    $$PWD/core/style/styleagent_p.h \
    $$PWD/core/windowagentbase.h \
    $$PWD/core/windowagentbase_p.h \
    $$PWD/core/windowitemdelegate_p.h \
    $$PWD/widgets/qwkwidgetsglobal.h \
    $$PWD/widgets/widgetitemdelegate_p.h \
    $$PWD/widgets/widgetwindowagent.h \
    $$PWD/widgets/widgetwindowagent_p.h

SOURCES += \
    $$PWD/core/contexts/abstractwindowcontext.cpp \
    # $$PWD/core/contexts/cocoawindowcontext.mm \
    $$PWD/core/contexts/qtwindowcontext.cpp \
    $$PWD/core/contexts/win32windowcontext.cpp \
    $$PWD/core/kernel/nativeeventfilter.cpp \
    $$PWD/core/kernel/sharedeventfilter.cpp \
    $$PWD/core/kernel/winidchangeeventfilter.cpp \
    $$PWD/core/qwindowkit_windows.cpp \
    $$PWD/core/qwkglobal.cpp \
    $$PWD/core/style/styleagent.cpp \
    # $$PWD/core/style/styleagent_linux.cpp \
    # $$PWD/core/style/styleagent_mac.mm \
    $$PWD/core/style/styleagent_win.cpp \
    $$PWD/core/windowagentbase.cpp \
    $$PWD/core/windowitemdelegate.cpp \
    $$PWD/widgets/widgetitemdelegate.cpp \
    $$PWD/widgets/widgetwindowagent.cpp \
    # $$PWD/widgets/widgetwindowagent_mac.cpp \
    $$PWD/widgets/widgetwindowagent_win.cpp

DISTFILES += \
    $$PWD/core/CMakeLists.txt \
    $$PWD/widgets/CMakeLists.txt
